<?
//
//
require_once($_SERVER['DOCUMENT_ROOT']."/jquery/inc/system.php"); 
//
//
if($user['adm'] != 2){
header('location:/index/');
exit();
}
//
//
head([]);
//
//
echo logs();
//
//
if(isset($_GET['form'])){ 
// 
$name = text($_POST['name']); 
$text = text($_POST['text']); 
// 
$err = false; 
// 
if(mb_strlen($text) < 1 or mb_strlen($text) > 5000){ 
err2("Слишком короткое или длинное сообщение"); 
$err = true; 
} 

// 
if($err == false){ 
DB::$dbs->query("INSERT INTO `news` SET `time` = ?, `name` = ?, `text` = ?", array(time(),$name,$text));
// 
DB::$dbs->query("UPDATE `users` SET `news` = ?", array(1)); 
// 
header("location: ?"); 
exit(); 
} 
header("location: ?"); 
exit(); 
} 
// 
?> 

		       <div class="poster -gas">
		    <div class="start">
		        <center>
		            <span class="title-wqi">Создать новость</span>
		        </center> 
<form action = '?form' method = 'post'> 
Название:<br><input type = 'text' name = 'name'> 

<br>Сообщение:<br><textarea class="mail" name = 'text' id='message' placeholder='' maxlength = '5000'></textarea> 
<br><br><input type="submit" name="" class="" value="Создать"> 
</form> 
</div></div>
<? 
//
// 
foot([]); 
//
//
?>